import requests
import tweepy

TWITTER_API_KEY = "wJZKrR6vnV9YDLinSX1C0B5Ub"
API_KEY_SECRET = "LqQFWfRS7SbHGK1C6XefIpRJQFIOlhlYdW3nHbs1QgPiFzvdhn"

TWITTER_BEARER_TOKEN ="AAAAAAAAAAAAAAAAAAAAAHI1qgEAAAAAabXPa61Fz%2B%2FvK%2FTGzYtZQ%2Fmpzw8%3DPJJKHrOb1E70y2Tm0VAR59pRU6GpC7QI51E6jGc2YvXZU8f1zE"
ACCESS_TOKEN="1694110431227641856-JrFsArZnlPz1bxw1njfib49FEO6aNY"
ACCESS_TOKEN_SECRET ="MUcVLRzYxpbJvGoWrJotPzh7ezNiSCJpjC0P0LXRkJaMJ"

#OAUTH 2.0
CLIENT_ID = "a0ZuRWNIQjBVbF9Eb1hBaUNYTVI6MTpjaQ"
CLIENT_SECRET = "16Q8Vd22-GoNThaRb6CGb7u-AyjdtlOXeMZExG1iskzVPHDAVn"

# Authenticate to Twitter
auth = tweepy.OAuthHandler(TWITTER_API_KEY, API_KEY_SECRET)
auth.set_access_token(ACCESS_TOKEN, ACCESS_TOKEN_SECRET)

# Create API object
api = tweepy.API(auth)
tweets = api.home_timeline(count=20)

for tweet in tweets:
    print(f"{tweet.user.name} said: {tweet.text}\n")
